Bug 193133 - [NEW PORT] www/ccnet: Framework for writing networked applications
Summary: [NEW PORT] www/ccnet: Framework for writing networked applications
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: John Marino
URL: https://github.com/haiwen/ccnet
Keywords:
Depends on: 193132
Blocks: 193134 193312
  Show dependency treegraph
 
Reported: 2014-08-29 20:13 UTC by Jingfeng Yan
Modified: 2014-11-03 13:07 UTC (History)
3 users (show)

See Also:


Attachments
new port shar file (11.87 KB, application/x-shar)
2014-08-29 20:13 UTC, Jingfeng Yan
no flags Details
test port log (192.70 KB, text/plain)
2014-08-29 20:16 UTC, Jingfeng Yan
no flags Details
new port shar file (16.84 KB, application/x-shar)
2014-09-04 15:36 UTC, Jingfeng Yan
no flags Details
diff to update shar file (3.36 KB, patch)
2014-09-06 12:48 UTC, Jingfeng Yan
no flags Details | Diff
updated shar file (14.03 KB, application/x-shar)
2014-09-06 12:50 UTC, Jingfeng Yan
no flags Details
portlint -AC output (65 bytes, text/plain)
2014-09-06 13:24 UTC, Jingfeng Yan
no flags Details
for updated mk (13.62 KB, text/plain)
2014-09-22 03:12 UTC, Jingfeng Yan
no flags Details
portlint -AC output (1020 bytes, text/plain)
2014-11-02 17:05 UTC, Jingfeng Yan
no flags Details
uodated Shar file (14.04 KB, text/plain)
2014-11-02 17:26 UTC, Jingfeng Yan
no flags Details
test port log (182.02 KB, text/plain)
2014-11-02 17:27 UTC, Jingfeng Yan
no flags Details
portlint -AC output (113 bytes, text/plain)
2014-11-02 23:32 UTC, Jingfeng Yan
no flags Details
updated shar file (13.82 KB, text/plain)
2014-11-02 23:35 UTC, Jingfeng Yan
no flags Details
test port log (182.03 KB, text/plain)
2014-11-02 23:35 UTC, Jingfeng Yan
no flags Details
updated shar file (13.68 KB, text/plain)
2014-11-03 04:50 UTC, Jingfeng Yan
no flags Details
test port log (181.01 KB, text/plain)
2014-11-03 04:51 UTC, Jingfeng Yan
no flags Details
overall patch to 0922 Shar (1.10 KB, patch)
2014-11-03 04:56 UTC, Jingfeng Yan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jingfeng Yan 2014-08-29 20:13:53 UTC
Created attachment 146502 [details]
new port shar file

Ccnet is a framework for writing networked applications in C. It provides
the services of peer identification, connection management, service
invocation, and message sending. Server has the management of user, group,
and cluster.
Comment 1 Jingfeng Yan 2014-08-29 20:16:11 UTC
Created attachment 146503 [details]
test port log
Comment 2 Jingfeng Yan 2014-09-04 15:36:27 UTC
Created attachment 146793 [details]
new port shar file

- Updated from 3.0.4 to 3.1.4, which is latest version. 
- Adding some fixes from ChilledHeart for some memory issues, and makefile issue.
- Fixed the issue that desktop client can not connect to the server.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 02:50:58 UTC
See bug 193132 for review items that also apply to the patch in this issue.

Additionally:

 * Missing LICENSE_FILE
 * COMMENT: Indefinite article ("A")
 * GH_PROJECT defaults to ${PORTNAME} already, unnecessary.
 * Multiple USE_AUTOTOOLS lines, combine them
 * Typo: ACLOCL_ARGS
 * Empty AUTOHEADER_ARGS and AUTOCONF_ARGS
 * Adding --prefix to CONFIGURE_ARGS is unecessary
 * Incorrect pkgconfig .pc file location (lib -> libdata) (Use USES=pathfix)

Please update your patch with all of the above changes along with those from bug 193132
Comment 4 Jingfeng Yan 2014-09-06 12:48:22 UTC
Created attachment 146925 [details]
diff to update shar file
Comment 5 Jingfeng Yan 2014-09-06 12:50:40 UTC
Created attachment 146927 [details]
updated shar file
Comment 6 Jingfeng Yan 2014-09-06 13:24:04 UTC
Created attachment 146930 [details]
portlint -AC output
Comment 7 Jingfeng Yan 2014-09-22 03:12:05 UTC
Created attachment 147549 [details]
for updated mk

Based on Jason E. Hale <jhale@FreeBSD.org> 's comment on 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=193132

(1) change the wrong Makefile.am patch. 
(2) fmt the pkg-descr within 72 col
(3) clean the auto tool related issue.
Comment 8 John Marino freebsd_committer 2014-10-27 15:47:12 UTC
again the post-install target commands are suppressed with "@".  Remove those except for mkdir commands.
Comment 9 Jingfeng Yan 2014-11-02 17:05:20 UTC
Created attachment 148938 [details]
portlint -AC output

The warning seems to result from portlint is not updated.
Comment 10 John Marino freebsd_committer 2014-11-02 17:08:57 UTC
A) update portlint
B) in this case it doesn't matter.  @dir is not a new name for @dirrm.  You are misusing it.  (Or you are using make make-plist without editing the result)

See /usr/ports/CHANGES about how to properly use @dir keyword.  In most cases, you don't use it at all (99%) for directories.
Comment 11 Jingfeng Yan 2014-11-02 17:26:10 UTC
Created attachment 148940 [details]
uodated Shar file

- remove "@" from all install commands.
- pkg-plist changed to be updated.
Comment 12 Jingfeng Yan 2014-11-02 17:27:58 UTC
Created attachment 148941 [details]
test port log
Comment 13 John Marino freebsd_committer 2014-11-02 17:42:33 UTC
Comment on attachment 148940 [details]
uodated Shar file

Don't forget to explicitly specify MIME as text/plain for shar files.
Comment 14 John Marino freebsd_committer 2014-11-02 17:44:17 UTC
To state what I said previously another way,

Remove all these lines from pkg-plist:

X@dir include/ccnet
X@dir %%PYTHON_SITELIBDIR%%/ccnet/async
X@dir %%PYTHON_SITELIBDIR%%/ccnet
X@dir %%PYTHON_SITELIBDIR%%
X@dir %%PYTHON_LIBDIR%%
X@dir %%WWWDIR%%/seafile/bin
X@dir %%WWWDIR%%/seafile
X@dir %%WWWDIR%%
X@dir www/haiwen
Comment 15 John Marino freebsd_committer 2014-11-02 17:45:55 UTC
(In reply to Jingfeng Yan from comment #12)
> Created attachment 148941 [details]
> test port log

Are you sure you uploaded the latest shar?  because I would have expected to see errors related to the "@dir" lines and I don't see those errors.

Maybe you fixed the port but uploaded an old shar file.
Comment 16 Jingfeng Yan 2014-11-02 23:13:00 UTC
(In reply to John Marino from comment #15)
> (In reply to Jingfeng Yan from comment #12)
> > Created attachment 148941 [details]
> > test port log
> 
> Are you sure you uploaded the latest shar?  because I would have expected to
> see errors related to the "@dir" lines and I don't see those errors.
> 
> Maybe you fixed the port but uploaded an old shar file.

Will change and test again.
Comment 17 Jingfeng Yan 2014-11-02 23:16:39 UTC
(In reply to Jingfeng Yan from comment #16)
> (In reply to John Marino from comment #15)
> > (In reply to Jingfeng Yan from comment #12)
> > > Created attachment 148941 [details]
> > > test port log
> > 
> > Are you sure you uploaded the latest shar?  because I would have expected to
> > see errors related to the "@dir" lines and I don't see those errors.
> > 
> > Maybe you fixed the port but uploaded an old shar file.
> 
> Will change and test again. 

> Maybe you fixed the port but uploaded an old shar file.

pouderier only complain for usage of @dirrmtry, and suggest using @dir.  It claims that 
@dirrmtry is deprecated and please use @dir.  You are correct, the list are generated from makeplist.  After I run makeplist again, I did see all the @dirrmtry are changed to be @dir.  Then, pouderier did not complain any more.  Only portlint complains.
Comment 18 Jingfeng Yan 2014-11-02 23:28:26 UTC
(In reply to Jingfeng Yan from comment #17)
> (In reply to Jingfeng Yan from comment #16)
> > (In reply to John Marino from comment #15)
> > > (In reply to Jingfeng Yan from comment #12)
> > > > Created attachment 148941 [details]
> > > > test port log
> > > 
> > > Are you sure you uploaded the latest shar?  because I would have expected to
> > > see errors related to the "@dir" lines and I don't see those errors.
> > > 
> > > Maybe you fixed the port but uploaded an old shar file.
> > 
> > Will change and test again. 
> 
> > Maybe you fixed the port but uploaded an old shar file.
> 
> pouderier only complain for usage of @dirrmtry, and suggest using @dir.  It
> claims that 
> @dirrmtry is deprecated and please use @dir.  You are correct, the list are
> generated from makeplist.  After I run makeplist again, I did see all the
> @dirrmtry are changed to be @dir.  Then, pouderier did not complain any
> more.  Only portlint complains.

0922 is the special day :)

20140922:
AUTHOR: bapt@FreeBSD.org

  pkg(8) now handles the directories under PREFIX automatically,
  and will automatically remove them as needed.
  A new @dir keyword has been introduced to handle directories specially:
  - directories with special owner, group, or permissions (access mode)
  - empty directories
  - directories out of PREFIX
  As a consequence @dirrm and @dirrmtry are now considered deprecated.

  Credentials can now be passed in arguments to keywords
  (the empty keyword means "regular file"):
  @(user,group,mode) file1
  @dir(user,group,mode) directory_with_special_owner_or_mode

  PLIST_DIRSTRY is now considered deprecated, use PLIST_DIRS instead.
Comment 19 John Marino freebsd_committer 2014-11-02 23:30:18 UTC
(In reply to Jingfeng Yan from comment #17)
> pouderier only complain for usage of @dirrmtry, and suggest using @dir.  It
> claims that 
> @dirrmtry is deprecated and please use @dir.  

It is a misleading suggestion.  The most likely fix for @dirrmtry is removing the line, not replacing it with @dir

> You are correct, the list are generated from makeplist.  

using an unmodified makeplist output is a basically a user error.  You are expected to modify it, *especially* the @dir lines.

> After I run makeplist again, I did see all the
> @dirrmtry are changed to be @dir.  Then, pouderier did not complain any
> more.  Only portlint complains.

Poudriere doesn't complain because the logic of either the makeplist or the check-plist isn't smart enough yet.

Please remove the @dir as I mentioned above and run the tests again. They will pass without any @dir lines in the pkg-plist.
Comment 20 Jingfeng Yan 2014-11-02 23:32:35 UTC
Created attachment 148967 [details]
portlint -AC output
Comment 21 Jingfeng Yan 2014-11-02 23:35:12 UTC
Created attachment 148968 [details]
updated shar file

removed all @dir s.
Comment 22 Jingfeng Yan 2014-11-02 23:35:38 UTC
Created attachment 148969 [details]
test port log
Comment 23 John Marino freebsd_committer 2014-11-02 23:57:09 UTC
I am not sure about this, but this seems kind of old:

XUSE_AUTOTOOLS=	libtoolize aclocal autoheader automake autoconf
XLIBTOOLIZE_ARGS=-i -c -f
XACLOCAL_ARGS=	-I m4


shouldn't this be using "USES+= autoreconf" instead of USE_AUTOTOOLS?

I'm not the familiar with this autoreconf tool, are you?
Comment 24 John Marino freebsd_committer 2014-11-02 23:57:59 UTC
i guess you used it in devel/libsearpc already...
Comment 25 Jingfeng Yan 2014-11-03 00:52:52 UTC
(In reply to John Marino from comment #24)
> i guess you used it in devel/libsearpc already...

Yes.
Comment 26 Jingfeng Yan 2014-11-03 00:59:56 UTC
(In reply to John Marino from comment #23)
> I am not sure about this, but this seems kind of old:
> 
> XUSE_AUTOTOOLS=	libtoolize aclocal autoheader automake autoconf
> XLIBTOOLIZE_ARGS=-i -c -f
> XACLOCAL_ARGS=	-I m4
> 
> 
> shouldn't this be using "USES+= autoreconf" instead of USE_AUTOTOOLS?
> 
> I'm not the familiar with this autoreconf tool, are you?

:) not so familiar with it.  I need to verify this again.  In early Sept, I thing there is some changes which make libtools and autoconf/reconf run correctly without adding further ARGS. Before that changes, the args is "must-have".  I think I was half-cleaning all the ports.  Some ports like libsearpc has been corrected.
Comment 27 Jingfeng Yan 2014-11-03 04:50:14 UTC
Created attachment 148973 [details]
updated shar file

cleaned USE_AUTOTOOL
Comment 28 Jingfeng Yan 2014-11-03 04:51:05 UTC
Created attachment 148974 [details]
test port log
Comment 29 Jingfeng Yan 2014-11-03 04:56:12 UTC
Created attachment 148976 [details]
overall patch to 0922 Shar
Comment 30 John Marino freebsd_committer 2014-11-03 06:34:26 UTC
I think it's patch-ready now.   I'll take it myself.
Comment 31 John Marino freebsd_committer 2014-11-03 07:07:39 UTC
hmmm, final question:

Why is this on "www" category and not something like "net" or "net-mgmt" ?

the description is "Ccnet is a framework for writing networked applications in C. It provides the services of peer identification, connection management, service invocation, and message sending. Server has the management of user, group, and cluster."


I don't see where the "www" comes in.
My guess is that this should be in "net-mgmt" category with a secondary category of "devel".  What do you think?
Comment 32 John Marino freebsd_committer 2014-11-03 07:37:29 UTC
I am going to go with that (primary in net-mgmt, secondary in devel)
Comment 33 commit-hook freebsd_committer 2014-11-03 07:42:50 UTC
A commit references this bug:

Author: marino
Date: Mon Nov  3 07:42:42 UTC 2014
New revision: 372097
URL: https://svnweb.freebsd.org/changeset/ports/372097

Log:
  Add new port net-mgmt/ccnet

  PR:		193133
  Submitted by:	Jingfeng Yan

  Ccnet is a framework for writing networked applications in C. It provides
  the services of peer identification, connection management, service
  invocation, and message sending. Server has the management of user, group,
  and cluster.

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/ccnet/
  head/net-mgmt/ccnet/Makefile
  head/net-mgmt/ccnet/distinfo
  head/net-mgmt/ccnet/files/
  head/net-mgmt/ccnet/files/patch-configure.ac
  head/net-mgmt/ccnet/files/patch-lib_Makefile.am
  head/net-mgmt/ccnet/files/patch-lib_net.c
  head/net-mgmt/ccnet/files/patch-lib_utils.c
  head/net-mgmt/ccnet/files/patch-makefile.am
  head/net-mgmt/ccnet/files/patch-net_common_getgateway.c
  head/net-mgmt/ccnet/files/patch-net_common_processors_rcvcmd-proc.c
  head/net-mgmt/ccnet/files/patch-net_common_processors_service-proxy-proc.c
  head/net-mgmt/ccnet/files/patch-net_common_session.c
  head/net-mgmt/ccnet/pkg-descr
  head/net-mgmt/ccnet/pkg-plist
Comment 34 John Marino freebsd_committer 2014-11-03 07:44:35 UTC
I'll make a note on the dependent ports that they need to be updated to reflect the new category.

This PR is done!
Comment 35 Jingfeng Yan 2014-11-03 13:07:31 UTC
(In reply to John Marino from comment #34)
> I'll make a note on the dependent ports that they need to be updated to
> reflect the new category.
> 
> This PR is done!

Okay.  Thank you for your committing.  Will use your suggestion of category for seafile.